#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,x,i,j;
    scanf("%i %i %i",&n,&k,&x);
    int d=-1;
    for(int i=1;i<=n;i++)
	{
		if(k%i==0 && k/i+i<=n)
		{
			d=i;break;
		}
	}
	if(d==-1) return 0*printf("-1\n");
	for(int i=1;i<=d;i++) printf("%i ",x);
	for(int i=1;i<=k/d;i++) printf("%i ",x*2);
	for(int i=1;i<=k-d-k/d;i++) printf("%i ",x+1);

    /*vector<int> sz;
    int d=n;
    k=n*(n-1)/2-k;
    for(int i=n;i>=1;i--)
	{
		while(d>=i && k>=i*(i-1)/2)
		{
			k-=i*(i-1)/2;
			sz.push_back(i);
			d-=i;
		}
	}
	if(k!=0) return 0*printf("-1\n");
	int v=x;
	for(i=0;i<sz.size();i++)
	{
		for(j=1;j<=sz[i];j++) printf("%i ",v);
		v+=x;
	}*/
	return 0;
}